::selection {
  color: var(--text-color);
  background: var(--accent-color);
}
html {
  /* Design definitions START */
  /* Colours */
  --primary-color: #ffc707;
  --accent-color: #ffcf41;
  --secondary-color: #000000;
  --shade-color: #e2e2e2;
  --text-color: #ffffff;
  --transparent: transparent;
  --page-width: 1000px;
  /* Flexbox */
  --f-gap: 20px;
  /* Default content padding */
  --d-padding: 0 25%;
  /* Mobile padding */
  --m-padding: 0 15%;
  /* Link transition */
  --a-transition: 350ms;
  /* Font definitions */
  --site-font: Mulish, Arial, Helvetica, sans-serif;
  --site-paragraph: 16px;
  --site-h1: 5em;
  --site-h2: 3em;
  --site-h3: 1.9em;
  --site-h4: 1.3em;
  --weight-bold: 700;
  --weight-bolder: 900;
  /* Misc. */
  scroll-behavior: smooth;
}
/* Default site style */
/* Define text */
body {
  font-family: var(--site-font);
  font-size: var(--site-paragraph);
  color: var(--text-color);
  padding: 0;
  margin: 0;
}
a {
  color: var(--primary-color);
  border-bottom: 1px dotted var(--primary-color);
  text-decoration: none;
}
a:hover {
  color: var(--accent-color);
  border-bottom: 1px dotted var(--accent-color);
}
h1,
h2,
h3 {
  text-transform: uppercase;
  font-weight: var(--weight-bolder);
  line-height: 100%;
  margin-bottom: 1rem;
}
h1 {
  font-size: var(--site-h1);
}
h2 {
  font-size: var(--site-h2);
}
h3 {
  font-size: var(--site-h3);
}
p {
  margin-bottom: 0.9rem;
  line-height: 1.5;
}
/* Buttons */
button {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
  align-items: center;
  border: 2px solid var(--secondary-color);
  background-color: var(--transparent);
  backdrop-filter: blur(2px);
  border-radius: 30px;
  padding: 15px 30px;
  font-weight: var(--weight-bold);
  text-transform: uppercase;
  transition: var(--a-transition);
  cursor: pointer;
}
.b-btn {
  border: 2px solid var(--text-color);
  color: var(--text-color);
  backdrop-filter: unset;
}
.b-btn:hover {
  backdrop-filter: unset;
}
button:hover {
  backdrop-filter: blur(10px);
}
.btn-join {
  background-color: var(--secondary-color);
  color: var(--text-color);
  padding: 20px 30px;
  width: 100%;
  justify-content: center;
}
/* Container height/width presets */
.h-100 {
  min-height: 100vh;
}
.h-75 {
  min-height: 75vh;
}
.h-50 {
  min-height: 50vh;
}
.h-35 {
  min-height: 35vh;
}
.h-25 {
  min-height: 25vh;
}
/* Default module gap */
.d-gap {
  gap: var(--f-gap);
}
/* Default container padding */
.d-pad {
  padding: 0 40px;
}
.d-pad-large {
  padding: 0 150px;
}
/* Backdrop color presets */
.bg-primary {
  background-color: var(--primary-color);
  color: var(--secondary-color);
}
.bg-white {
  background-color: var(--text-color);
}
.bg-black {
  background-color: var(--secondary-color);
  color: var(--text-color);
}
/* End backdrop color presets */
.navmast {
  position: fixed;
  display: flex;
  top: 0;
  width: 100vw;
  background-color: var(--secondary-color);
  height: 90px;
  z-index: 1;
  border-bottom: 5px solid var(--primary-color);
}
.w-boxed {
  width: var(--page-width);
  margin-left: auto;
  margin-right: auto;
}
.navmast-container {
  display: grid;
  grid-auto-rows: 1fr;
  gap: 0px 0px;
  grid-auto-flow: column;
  justify-content: space-between;
  align-content: center;
  justify-items: stretch;
  align-items: center;
  width: 100%;
}
#logo {
  padding-left: 20px;
}
#logo svg {
  height: 60px;
}
#logo a {
  border-bottom: 0;
}
#logo a:hover {
  border-bottom: 0;
}
#mainmenu {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
}
#mainmenu ul {
  display: inherit;
  text-transform: uppercase;
  font-weight: var(--weight-bold);
}
.mobile-nav {
  display: none;
}
#mainmenu ul > li {
  display: flex;
}
.navitem {
  padding: 33px;
}
.navitem:last-of-type {
  background-color: var(--text-color);
  color: var(--secondary-color);
}
.navicon {
  gap: 5px;
  align-items: center;
}
.f-h-center {
  display: flex;
  align-items: center;
}
.f-v-center {
  display: flex;
  justify-content: center;
}
.column {
  display: flex;
  flex-direction: column;
}
.row {
  display: flex;
  flex-direction: row;
}
.background-img-welcome {
  background-image: url("/img/ff-welcome-splash.jpg");
  background-size: cover;
  background-attachment: fixed;
}
.background-img-overlay {
  background-color: hsla(46, 100%, 51%, 0.563);
}
#read-more {
  border: 0 !important;
  margin-top: 20px;
  animation: hover-up-down 1.5s linear infinite;
  color: var(--secondary-color);
  user-select: none;
}
#read-more svg {
  -ms-animation: hover-up-down 1.5s linear infinite;
  -webkit-animation: hover-up-down 1.5s linear infinite;
  -moz-animation: hover-up-down 1.5s linear infinite;
}
.content-padding {
  padding: var(--d-padding);
}
/* Init Section (Grid) */
.ff-section {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  grid-auto-flow: row;
  justify-items: center;
  align-items: center;
  grid-template-areas: "col1 col2";
}
.col1 {
  grid-area: col1;
}
.col2 {
  grid-area: col2;
}
/* CTA */
.cta-heading {
  margin-bottom: 30px;
}
.cta-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0px 0px;
  padding: 50px;
}
.cta-container :first-child {
  grid-column: 1 / -1;
  text-align: center;
  align-self: center;
}
.cta-box {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.cta-content {
  padding: var(--d-padding);
}
.cta-icon {
  font-size: 80px !important;
  color: var(--primary-color);
  border: 2px solid var(--text-color);
  padding: 20px;
  border-radius: 50%;
  margin-bottom: 20px;
  user-select: none;
}
/* First section */
.welcome-img {
  background-image: url("/img/img-about-us.png");
  background-size: cover;
  background-position: center;
  height: 100%;
  width: 100%;
}
/* Second section */
.book-img {
  background-image: url("/img/buy-the-book.jpg");
  background-size: cover;
  height: 100%;
  width: 100%;
}
.food-bg {
  background-image: url("/assets/food-svg.svg");
  background-repeat: no-repeat;
  background-size: 28%;
  background-position: 110% 120%;
}
.community-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0px 0px;
  align-content: center;
  justify-items: center;
  align-items: center;
}
.chat-bg {
  overflow: hidden;
  position: relative;
}
.chat-bg::before {
  content: "";
  width: 100%;
  height: 100%;
  background-image: url("/assets/ff-chat-bubbles-left.svg");
  background-size: 17%;
  position: absolute;
  background-position-y: 0%;
  background-position-x: 1%;
  background-repeat: no-repeat;
  -ms-animation: chat-animate 30s linear infinite;
  -webkit-animation: chat-animate 30s linear infinite;
  -moz-animation: chat-animate 30s linear infinite;
}
.chat-bg::after {
  content: "";
  width: 100%;
  height: 100%;
  background-image: url("/assets/ff-chat-bubbles-right.svg");
  background-size: 17%;
  position: absolute;
  background-position-y: 0%;
  background-position-x: 99%;
  background-repeat: no-repeat;
  -ms-animation: chat-animate 15s linear infinite;
  -webkit-animation: chat-animate 15s linear infinite;
  -moz-animation: chat-animate 15s linear infinite;
}
/* Footer */
.footer-container {
  display: grid;
  grid-auto-columns: 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 3fr;
  gap: 0px 0px;
  justify-content: center;
  align-content: center;
  justify-items: center;
  min-height: 25vh;
}
.footer-col {
  align-self: center;
}
.footer-col nav {
  font-size: 22px;
}
.footer-col nav ul li {
  padding: 15px 0;
  text-transform: uppercase;
}
.app-badges {
  gap: var(--f-gap);
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}

/* Mobile */
@media only screen and (max-width: 768px) {
  html {
    --site-paragraph: 16px;
    --site-h1: 3em;
    --site-h2: 2em;
    --site-h3: 1.8em;
    --site-h4: 1.2em;
    --weight-bold: 700;
    --weight-bolder: 900;
  }
  button {
    flex-wrap: nowrap;
  }
  /* Navigation */
  #mainmenu ul {
    display: none;
  }
  .mobile-nav {
    display: block;
  }
  .mobile-nav svg {
    fill: var(--text-color);
    padding-right: 20px;
  }
  .background-img-welcome {
    background-image: url("/img/ff-welcome-splash.jpg");
    background-size: cover;
    background-attachment: fixed;
    background-position: center center;
  }
  .background-img-welcome h1 {
    text-align: center;
  }
  .w-boxed {
    padding: var(--m-padding);
  }
  /* Containers */
  .content-padding {
    padding: var(--m-padding);
  }
  .cta-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 35px 0px;
    padding: 50px;
  }
  .cta-content {
    padding: var(--m-padding);
  }
  .row {
    justify-content: center;
    flex-direction: column;
  }
  .ff-section {
    grid-template-columns: 1fr;
    text-align: center;
    padding: 50px 0;
  }
  .community-container {
    padding: var(--m-padding);
  }
  .chat-bg::before,
  .chat-bg::after {
    display: none;
  }
  .footer-container {
    padding: 50px 0;
    grid-template-columns: unset;
    gap: 50px;
    text-align: center;
  }
}
